#include <sys/ioctl.h>
#include <stdio.h>
#include <fcntl.h>
#include <linux/dvb/video.h>

int main(int argc, char **argv)
{
	const char *videodev = "/dev/dvb/adapter0/video0";

	int vfd;
	if ((vfd = open(videodev,O_RDONLY|O_NONBLOCK)) < 0){
		perror("VIDEO DEVICE: ");
		return -1;
	}

  struct video_status status;
	if (ioctl(vfd, VIDEO_GET_STATUS, &status) < 0) {
		perror("VIDEO_GET_STATUS: ");
	}
  else
    switch (status.video_format)
    {
    case 	VIDEO_FORMAT_4_3:
      printf("4:3\n");
      break;
    case VIDEO_FORMAT_16_9:
      printf("16:9\n");
      break;
    case VIDEO_FORMAT_221_1:
      printf("2.21:1\n");
      break;
    default:
      printf("?%d\n", status.video_format);
    }

	close(vfd);
	return 0;
}
